Cancel a reservation
curl --request POST \
--url https://app.eat-now.io/api/partner/v1/reservations/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://app.eat-now.io/api/partner/v1/reservations/{id}/cancel"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.eat-now.io/api/partner/v1/reservations/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"external_id": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"party_size": 2,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>"
},
"room": {
"id": "<string>",
"name": "<string>"
},
"tables": [
{
"id": "<string>",
"name": "<string>",
"min_pax": 123,
"max_pax": 123
}
],
"waiter": {
"id": "<string>",
"name": "<string>"
},
"shift": {
"id": "<string>",
"name": "<string>",
"start_time": "<string>",
"end_time": "<string>"
},
"discount": {
"id": "<string>",
"value": 123,
"message": "<string>"
},
"prescriber": {
"id": "<string>",
"name": "<string>",
"phone_number": "<string>"
},
"custom_message": "<string>",
"allergies": "<string>",
"metadata": {},
"feedback": {
"rating": 123,
"comment": "<string>",
"answer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z"
},
"cancellation_reason": "<string>",
"attached_files": [
"<string>"
],
"tags": [
"<string>"
],
"send_followup_email": true,
"is_table_definitive": true,
"is_force_inserted": true,
"total_amount_paid": 123,
"payment_summary": {
"total_amount": 123,
"paid_amount": 123,
"authorized_amount": 123,
"pending_amount": 123,
"refunded_amount": 123,
"statuses": []
},
"payments": [
{
"id": "<string>",
"provider_id": "<string>",
"amount": 123,
"quantity": 123,
"unit_price": 123,
"percent_of_total": 123,
"is_refundable": true,
"expiration_date": "2023-11-07T05:31:56Z",
"max_cancellation_date": "2023-11-07T05:31:56Z",
"authorized_at": "2023-11-07T05:31:56Z",
"capture_deadline": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"linked_product": {
"id": "<string>",
"name": "<string>"
},
"linked_variant": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"seated_at": "2023-11-07T05:31:56Z",
"left_at": "2023-11-07T05:31:56Z",
"sensitive_data_included": true
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Reservations
Cancel a reservation
Cancels a reservation on behalf of the restaurant and returns the updated reservation resource. Partner cancellations are recorded as restaurant-side cancellations. Repeating the call is safe and returns the canceled reservation again.
POST
/
api
/
partner
/
v1
/
reservations
/
{id}
/
cancel
Cancel a reservation
Authorizations
Restaurant-scoped partner API token passed as Authorization: Bearer <token>.
Path Parameters
EatNow reservation identifier used as the canonical partner API resource id.
Minimum string length:
1Body
application/json
Optional cancellation payload. Include a reason when the partner wants the cancellation reason persisted on the reservation.
Optional cancellation payload. Provide a reason when the integrating partner wants to persist one.
Optional plain-text cancellation reason stored on the reservation.
Minimum string length:
1Response
Canceled reservation detail
Show child attributes
Show child attributes
⌘I
